import dynamix_sdk.base as _base


class CloudapiComputeDiskMigrateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskMigrateProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def disk_migrate(
        self,
        *,
        vm_id: int,
        disk_id: int,
        target_disk_id: int,
        mode: int = 1,
    ) -> CloudapiComputeDiskMigrateResultBool:
        ...
